Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010942
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagermajoralways2009-10-13 10:532009-12-15 08:58
ReporteriperdomoView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision2d75aa36defe
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_15
OS Version2.6.30-gentoo-r5Database version8.3.8Ant version1.7.1
Product Version2.50MP5SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010942: dbSourceManager should warn/fail when using an unsupported datatype

DescriptionThere is a list of supported data types on the Developers Guide:
http://wiki.openbravo.com/wiki/ERP/2.50/Developers_Guide/Concepts/DB/Tables#Supported_Column_Data_types [^]

If you use an unsupported data type dbSourceManager exports it as VARCHAR(0), then that fails because is not a valid data type.
Steps To Reproduce* Create a module with a table with an unsupported datatype like serial, boolean, etc.
* Export and package the module
* Try to install it in another environment
Proposed Solution* WARN or FAIL when using a unsupported data type
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0022609)
hgbot (developer)
2009-12-10 10:59

Repository: erp/devel/pi
Changeset: fef5fc038152162ae79b20fc41c5d64bcb4b2041
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Dec 10 10:57:42 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fef5fc038152162ae79b20fc41c5d64bcb4b2041 [^]

Fixed issue 10942. Export.database and create columns from db will both fail if a column datatype is invalid.

---
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0022640)
iperdomo (developer)
2009-12-10 13:50

The process should finish with a warning type message, and the list of 'not imported' columns.
(0022646)
hgbot (developer)
2009-12-10 16:50

Repository: erp/devel/pi
Changeset: fb6421fcdfc2e49c9e6d908116932dcdb31e4266
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Dec 10 16:50:00 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fb6421fcdfc2e49c9e6d908116932dcdb31e4266 [^]

Fixed issue 10942. Replaced 'Process completed succesfully' message with error message. Now update.database will not trigger an exception if the database has an invalid data type column.

---
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
---
(0022660)
iperdomo (developer)
2009-12-10 18:45

Tested on pi @ rev e82d1b5b692e
(0022672)
hudsonbot (developer)
2009-12-11 06:35

---
A changeset related to this issue has passed a series of tests and has been promoted to main:

Changeset: http://code.openbravo.com/erp/devel/main/rev/789f4e19eaf7 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
---
(0022679)
hudsonbot (developer)
2009-12-11 06:38

---
An OBX is generated including a changeset related to this issue and is available at:

OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15682.obx [^]
---
(0022746)
hgbot (developer)
2009-12-14 12:36

Repository: erp/devel/pi
Changeset: 2d75aa36defe5b9d7a83b54ea1d470b2e293ddd6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Dec 14 12:36:05 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2d75aa36defe5b9d7a83b54ea1d470b2e293ddd6 [^]

Related to issue 10942. Character varying columns will work again with ad_table_import PL/SQL function.

---
M src-db/database/model/functions/AD_TABLE_IMPORT.xml
---
(0022781)
hudsonbot (developer)
2009-12-15 04:56

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/e7ad8a48210d [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15705.obx [^]
---
(0022797)
hudsonbot (developer)
2009-12-15 08:58

---
A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/d8660a4ab9a7 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15731.obx [^]
---

- Issue History
Date Modified Username Field Change
2009-10-13 10:53 iperdomo New Issue
2009-10-13 10:53 iperdomo Assigned To => marvintm
2009-10-13 10:53 iperdomo Status new => scheduled
2009-10-13 10:53 iperdomo fix_in_branch => pi
2009-12-10 10:59 hgbot Checkin
2009-12-10 10:59 hgbot Note Added: 0022609
2009-12-10 10:59 hgbot Status scheduled => resolved
2009-12-10 10:59 hgbot Resolution open => fixed
2009-12-10 10:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fef5fc038152162ae79b20fc41c5d64bcb4b2041 [^]
2009-12-10 13:50 iperdomo Note Added: 0022640
2009-12-10 13:50 iperdomo Status resolved => new
2009-12-10 13:50 iperdomo Resolution fixed => open
2009-12-10 16:50 hgbot Checkin
2009-12-10 16:50 hgbot Note Added: 0022646
2009-12-10 16:50 hgbot Status new => resolved
2009-12-10 16:50 hgbot Resolution open => fixed
2009-12-10 16:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/fef5fc038152162ae79b20fc41c5d64bcb4b2041 [^] => http://code.openbravo.com/erp/devel/pi/rev/fb6421fcdfc2e49c9e6d908116932dcdb31e4266 [^]
2009-12-10 18:45 iperdomo Note Added: 0022660
2009-12-10 18:45 iperdomo Status resolved => closed
2009-12-11 00:00 anonymous sf_bug_id 0 => 2912312
2009-12-11 06:35 hudsonbot Checkin
2009-12-11 06:35 hudsonbot Note Added: 0022672
2009-12-11 06:38 hudsonbot Checkin
2009-12-11 06:38 hudsonbot Note Added: 0022679
2009-12-14 12:36 hgbot Checkin
2009-12-14 12:36 hgbot Note Added: 0022746
2009-12-14 12:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/fb6421fcdfc2e49c9e6d908116932dcdb31e4266 [^] => http://code.openbravo.com/erp/devel/pi/rev/2d75aa36defe5b9d7a83b54ea1d470b2e293ddd6 [^]
2009-12-15 04:56 hudsonbot Checkin
2009-12-15 04:56 hudsonbot Note Added: 0022781
2009-12-15 08:58 hudsonbot Checkin
2009-12-15 08:58 hudsonbot Note Added: 0022797


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker